%define upstream_name    Symlink-DSL
%define upstream_version 0.2.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A domain-specific language for setting up symbolic links
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Symlink/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Symlink::DSL implements a domain-specific language for setting up symbolic
links (e.g: to dot files and other resources). For example, one
can write:

    symlink from ~/bin/80_chars_ruler to ./bin/80_chars_ruler
    symlink from ~/bin/backup-slash.bash to ./bin/backup-slash.bash

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/symlink-dsl
%{_mandir}/man1/symlink-dsl.1*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.2.4-2.mga9
+ Revision: 1812631
- Mageia 9 Mass Rebuild

* Wed Apr 29 2020 shlomif <shlomif> 0.2.4-1.mga8
+ Revision: 1573167
- imported package perl-Symlink-DSL


* Wed Apr 29 2020 cpan2dist 0.2.4-1mga
- initial mageia release, generated with cpan2dist
